using System;
using System.Linq;
using System.Numerics;
using System.Collections.Generic;
namespace _3_
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int T=int.Parse(Console.ReadLine());
            int[]n=new int[T];
            HashSet<int>proizvodi=new HashSet<int>();
            for(int i = 0; i < T; i++)
            {
                n[i]=int.Parse(Console.ReadLine());
            }
            for(int i=0; i<T; i++)
            {
                if (n[i] == 1)
                {
                    proizvodi.Add(1);
                }
                else
                {
                    for (int j = 2; j <= n[i]; j++)
                    {
                        int proizvod = 1;
                        int pom = j;
                        while(pom>0)
                        {
                            proizvod *= pom % 10;
                            pom/=10;
                        }
                        proizvodi.Add(proizvod);
                    }
                }
                Console.WriteLine(proizvodi.Count);
            }
        }
    }
}